{% extends 'dragonboard-845c.jinja2' %}
{% set connection_list = ['uart0'] %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set connection_commands = {'uart0': 'telnet dispatcher03 7013'} %}
{% set adb_serial_number = 'aa28c365' %}
{% set fastboot_serial_number = 'aa28c365' %}

{# OTG port control #}

{% set pre_power_command = '/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher03-hub02 -m sync -u 12' %}
{% set pre_os_command = '/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher03-hub02 -m off -u 12' %}
{% set hard_reset_command = ['/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher03-hub02 -m off -u 12',
'/usr/local/lab-scripts/snmp_pdu_control --hostname pdu04 --command reboot --port 9',
'/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher03-hub02 -m sync -u 12'] %}
{% set power_on_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu04 --command on --port 9',
'/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher03-hub02 -m sync -u 12'] %}
{% set power_off_command = ['/usr/local/lab-scripts/snmp_pdu_control --hostname pdu04 --command off --port 9',
'/usr/local/lab-scripts/cbrxd_hub_control -n dispatcher03-hub02 -m off -u 12'] %}
{% set device_info = [{'board_id': 'aa28c365'}] %}
{# Commenting out chamelium info for possible future use.
{% set environment = {
	'CHAMELIUM_IP': '10.7.0.97',
	'CHAMELIUM_REBOOT_ARG': '--hostname pdu04 --command reboot --port 7 --delay 20'
} %}
#}
{% set flash_cmds_order = ['update', 'ptable', 'partition', 'partition:0',
                           'partition:1', 'partition:2', 'partition:3',
                           'partition:4','partition:5', 'hyp', 'modem',
                           'rpm', 'sbl1', 'sbl2', 'sec', 'tz', 'aboot',
                           'boot', 'rootfs', 'vendor', 'system', 'cache',
                           'userdata', ] %}

{% set sync_to_lava = {'device_type': 'dragonboard-845c', 'worker': 'dispatcher03.lavalab', 'tags': ['lcg'], 'aliases': []} %}
